/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
.oss-search-results .elementor-post__excerpt {
    max-height: 64px;
    overflow: hidden;
}

.bottom-footer p.footer-copyright {
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 600;
    font-family: 'Open Sans';
}

.bottom-footer a:hover {
    color: #3f3f3f;
    text-decoration: underline;
}

.new-footer .footer-link a:hover {
    color: #ffffff;
}

.oss-header-search form.e-search-form {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
    position: relative;
}

.oss-header-search form.e-search-form label.e-search-label svg {
    right: 0;
    inset-inline-start: -34px;
}

.oss-header-search form.e-search-form .e-search-input {
    padding-left: 22px;
    padding-right: 40px;
}

.oss-header-search form.e-search-form svg.e-fas-times {
    -webkit-transform: translateX(-30px);
    -ms-transform: translateX(-30px);
    transform: translateX(-30px);
}

.oss-archive-sidebar .wc-block-product-filter-price-slider .text input[type=text] {
    max-width: unset;
    width: 75px;
}

.footer-menu ul li a:hover {
    text-decoration: underline;
}

.oss-cart .product-name a {
    color: #3C3D3E;
    font-size: 18px;
}

.oss-cart .product-price {
    color: #3C3D3E;
    font-size: 16px;
}

.oss-cart .product-remove {
    border-color: #3C3D3E;
}

.oss-cart .product-remove:before, 
.oss-cart .product-remove:after {
    background: #3C3D3E;
}

.oss-cart .elementor-menu-cart__subtotal * {
    font-weight: 600;
    font-size: 20px;
}

.oss-cart .elementor-menu-cart__footer-buttons * {
    font-size: 16px;
    padding: 10px 10px;
}

.oss-cart .elementor-menu-cart__footer-buttons a.elementor-button {
    padding: 0;
    height: 100% !important;
    border: 2px solid #451488;
    line-height: unset;
	font-size: unset;
}

.oss-cart .woocommerce-mini-cart__empty-message {
    font-size: 18px !important;
}

.oss-cart a.elementor-button.elementor-button--view-cart {
    background: #451488;
}

.oss-cart a.elementor-button.elementor-button--view-cart:hover {
    color: #451488;
    background: #ffffff;
}

.oss-cart a.elementor-button.elementor-button--checkout {
    color: #451488;
    background: #ffffff;
}

.oss-cart a.elementor-button.elementor-button--checkout:hover {
    background: #451488;
    color: #ffffff;
}

.new-footer span.footer-email {
    word-break: break-all;
}

.oss-blogs-archive .elementor-post__excerpt p:after {
    content: '...';
    margin-left: -3px;
}

.oss-blogs-archive a.elementor-post__read-more:hover {
    color: #3C3D3E !important;
}

.oss-blog-content h3.wp-block-heading {
    font-family: 'Roboto Condensed';
    font-weight: 600;
    line-height: 1.2em;
    margin-bottom: 20px;
    font-size: 24px;
}

.oss-blog-form .ginput_container input,
.oss-blog-form .ginput_container select {
    border-radius: 10px !important;
    border-color: #E0E0E0 !important;
    font-size: 14px !important;
    padding: 15px !important;
    line-height: 1.2em !important;
    height: unset;
    display: block !important;
}

.oss-blog-form .gform_fields {
    row-gap: 10px !important;
}

.oss-blog-navigation .elementor-post-navigation__separator-wrapper {
    padding: 0 15px;
}

/* Cross-browser placeholders for legacy systems */
.oss-blog-form .ginput_container input::-webkit-input-placeholder,
.oss-blog-form .ginput_container select:invalid {
    color: #c0c0c0;
}
.oss-blog-form .ginput_container input:-ms-input-placeholder,
.oss-blog-form .ginput_container select:invalid {
    color: #c0c0c0;
}
.oss-blog-form .ginput_container input::-moz-placeholder,
.oss-blog-form .ginput_container select:invalid {
    color: #c0c0c0;
}
.oss-blog-form .ginput_container input::placeholder,
.oss-blog-form .ginput_container select:invalid {
    color: #c0c0c0;
}

.oss-blog-form .gform_wrapper .gform_footer {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.oss-blog-form .gform_wrapper .gform_footer input[type=submit] {
    border-radius: 10px !important;
    background-color: #451487 !important;
    width: 100%;
    font-family: 'Roboto Condensed' !important;
    text-transform: uppercase !important;
    font-weight: 400 !important;
    font-size: 16px !important;
    padding: 15px !important;
    -webkit-transition: 0.2s ease all !important;
    -o-transition: 0.2s ease all !important;
    transition: 0.2s ease all !important;
    border: 2px solid #451487 !important;
}

.oss-blog-form .gform_wrapper .gform_footer input[type=submit]:hover {
    color: #451487 !important;
    background-color: #ffffff !important;
}

@media screen and (max-width: 1202px) {
    .oss-navmenu a.elementor-item {
        padding-left: 10px !important;
        padding-right: 10px !important;
        font-size: 14px !important;
    }

    .oss-navmenu .elementor-widget-container {
        padding-left: 20px !important;
    }
}

@media screen and (max-width: 767px) {
    .bottom-footer p.footer-copyright {
        text-align: center;
    }
    
    .oss-mobile-menu .elementor-menu-toggle {
        padding-right: 0;
    }
    
    .oss-mobile-menu nav.elementor-nav-menu--dropdown {
        padding-top: 15px;
        padding-bottom: 20px;
    }
    
    .oss-recent-posts article.elementor-post {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        row-gap: 20px;
    }

    .oss-recent-posts .elementor-posts {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-wrap: nowrap !important;
        flex-wrap: nowrap !important;
        overflow-x: auto !important;
        -ms-scroll-snap-type: x mandatory !important;
        scroll-snap-type: x mandatory !important;
        -webkit-overflow-scrolling: touch !important;
        padding-bottom: 15px !important;
        gap: 15px !important;
    }

    .oss-recent-posts .elementor-posts article.elementor-post {
        -webkit-box-flex: 0 !important;
        -ms-flex: 0 0 70% !important;
        flex: 0 0 70% !important;
        max-width: 70% !important;
        scroll-snap-align: start !important;
        margin-right: 0 !important;
        margin-bottom: 0 !important;
    }
    
    .oss-shadeflex-related {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-wrap: nowrap !important;
        flex-wrap: nowrap !important;
        overflow-x: auto !important;
        -ms-scroll-snap-type: x mandatory !important;
        scroll-snap-type: x mandatory !important;
        -webkit-overflow-scrolling: touch !important;
        padding-bottom: 15px !important;
        gap: 15px !important;
    }

    .oss-shadeflex-related .e-flexbox-base {
        -webkit-box-flex: 0 !important;
        -ms-flex: 0 0 70% !important;
        flex: 0 0 70% !important;
        max-width: 70% !important;
        scroll-snap-align: start !important;
        margin-right: 0 !important;
        margin-bottom: 0 !important;
    }
}